Bug 196526 - tkjpeg crashes
tkjpeg crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Tk (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE6Target
  Show dependency treegraph
 
Reported: 2006-06-23 19:12 EDT by Scott Tsai
Modified: 2008-01-12 19:03 EST (History)
1 user (show)

See Also:
Fixed In Version: perl-Tk-804.028-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 19:03:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2006-06-23 19:12:05 EDT
Description of problem:
The /usr/bin/tkjpeg program that comes with perk-Tk crashes.

Version-Release number of selected component (if applicable):
perl-Tk-804.027-9.fc5
tk-8.4.13-1.1
perl-5.8.8-5

How reproducible:
always

Steps to Reproduce:
1.run tkjpeg
  
Actual results:
vis=truecolor d=24
Segmentation fault (core dumped)


Expected results:
No segmentation faults.

Additional info:
gdb says it's crashing at tkConfig.c:2280
"if (optionPtr->specPtr->type == TK_OPTION_SYNONYM) {"

Stack trace:
#0  0x00002aaaae296766 in Tk_GetOptionValue (interp=0x950320, recordPtr=0x953950
"\2205\225", optionTable=Variable "optionTable" is not available.
)
    at tkConfig.c:2280
#1  0x00002aaaae250bb9 in FrameWidgetObjCmd (clientData=0x953950,
interp=0x950320, objc=3, objv=0x6a7808) at tkFrame.c:772
#2  0x00002aaaae227df1 in Call_Tk (info=Variable "info" is not available.
) at tkGlue.c:2283
#3  0x00002aaaae2292fb in XStoWidget (my_perl=0x504010, cv=Variable "cv" is not
available.
) at tkGlue.c:2662
#4  0x0000003611e91386 in Perl_pp_entersub (my_perl=0x504010) at pp_hot.c:2877
#5  0x0000003611e8ac3e in Perl_runops_standard (my_perl=0x504010) at run.c:37
#6  0x0000003611e38a9c in perl_run (my_perl=0x504010) at perl.c:2367
#7  0x000000000040188c in main (argc=3, argv=0x7fffff9eb9d8, env=Variable "env"
is not available.
) at perlmain.c:99
Comment 1 Scott Tsai 2007-04-29 11:02:28 EDT
This still happens on pre fc7 rawhide.
rpm versions:
perl-Tk-804.027-11.fc7
tk-8.4.13-5.fc7
perl-5.8.8-15.fc7

Note You need to log in before you can comment on or make changes to this bug.